# Module selenium-webdriver/io

code »
Show:Public Protected Private

## Functions

code »copy ( src, dst ) ⇒ `!promise.Promise.<string>`

Copies one file to another.

Parameters

src: `string`
  The source file.
dst: `string`
  The destination file.

Returns

A promise for the copied file's path.

code »copyDir ( src, dst, opt_exclude ) ⇒ `!promise.Promise.<string>`

Recursively copies the contents of one directory to another.

Parameters

src: `string`
  The source directory to copy.
dst: `string`
  The directory to copy into.
opt_exclude: `(RegEx|function(string): boolean)=`
  An exclusion filter as either a regex or predicate function. All files matching this filter will not be copied.

Returns

A promise for the destination directory's path once all files have been copied.

code »exists ( path ) ⇒ `!promise.Promise.<boolean>`

Tests if a file path exists.

Parameters

path: `string`
  The path to test.

Returns

A promise for whether the file exists.

code »findInPath ( file, opt_checkCwd ) ⇒ `?string`

Searches the `PATH` environment variable for the given file.

Parameters

file: `string`
  The file to locate on the PATH.
opt_checkCwd: `boolean=`
  Whether to always start with the search with the current working directory, regardless of whether it is explicitly listed on the PATH.

Returns

Path to the located file, or `null` if it could not be found.

code »tmpDir ( ) ⇒ `!promise.Promise.<string>`

Returns

A promise for the path to a temporary directory.

code »tmpFile ( ) ⇒ `!promise.Promise.<string>`

Returns

A promise for the path to a temporary file.